Package com.omnisci.thrift.server

## Class OmniSci.AsyncProcessor.get_table_epochs<I extends OmniSci.AsyncIface>

- java.lang.Object
- - org.apache.thrift.AsyncProcessFunction<I,​OmniSci.get_table_epochs_args,​List<TTableEpochInfo>>
  - - com.omnisci.thrift.server.OmniSci.AsyncProcessor.get_table_epochs<I>

Enclosing class:
  OmniSci.AsyncProcessor<I extends OmniSci.AsyncIface>

    public static class OmniSci.AsyncProcessor.get_table_epochs<I extends OmniSci.AsyncIface>
    extends org.apache.thrift.AsyncProcessFunction<I,​OmniSci.get_table_epochs_args,​List<TTableEpochInfo>>

### Constructor Summary

Constructors
`get_table_epochs()`

### Method Summary

All Methods Instance Methods Concrete Methods
`OmniSci.get_table_epochs_args` `getEmptyArgsInstance()`
`org.apache.thrift.async.AsyncMethodCallback<List<TTableEpochInfo>>` `getResultHandler​(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
`protected boolean` `isOneway()`
`void` `start​(I iface, OmniSci.get_table_epochs_args args, org.apache.thrift.async.AsyncMethodCallback<List<TTableEpochInfo>> resultHandler)`

### Methods inherited from class org.apache.thrift.AsyncProcessFunction

`getMethodName, sendResponse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### get_table_epochs

    public get_table_epochs()

### Method Detail

#### getEmptyArgsInstance

    public OmniSci.get_table_epochs_args getEmptyArgsInstance()

Specified by:
  `getEmptyArgsInstance` in class `org.apache.thrift.AsyncProcessFunction<I extends OmniSci.AsyncIface,​OmniSci.get_table_epochs_args,​List<TTableEpochInfo>>`

#### getResultHandler

    public org.apache.thrift.async.AsyncMethodCallback<List<TTableEpochInfo>> getResultHandler​(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb,
                                                                                               int seqid)

Specified by:
  `getResultHandler` in class `org.apache.thrift.AsyncProcessFunction<I extends OmniSci.AsyncIface,​OmniSci.get_table_epochs_args,​List<TTableEpochInfo>>`

#### isOneway

    protected boolean isOneway()

Specified by:
  `isOneway` in class `org.apache.thrift.AsyncProcessFunction<I extends OmniSci.AsyncIface,​OmniSci.get_table_epochs_args,​List<TTableEpochInfo>>`

#### start

    public void start​(I iface,
                      OmniSci.get_table_epochs_args args,
                      org.apache.thrift.async.AsyncMethodCallback<List<TTableEpochInfo>> resultHandler)
               throws org.apache.thrift.TException

Specified by:
  `start` in class `org.apache.thrift.AsyncProcessFunction<I extends OmniSci.AsyncIface,​OmniSci.get_table_epochs_args,​List<TTableEpochInfo>>`
Throws:
  `org.apache.thrift.TException`